Skip to main content
PATCH
/
platform
/
settings
Update Platform Settings
curl --request PATCH \
  --url https://api.otim.com/v0/platform/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "autoEarnEnabled": true,
  "autoEarnVault": "aave_usdc",
  "defaultChain": "ethereum",
  "webhookUrl": "<string>"
}
'
{
  "autoEarnEnabled": true,
  "autoEarnVault": "aave_usdc",
  "defaultChain": "base",
  "webhookUrl": "https://yourapp.com/webhooks/otim",
  "updatedAt": "2025-01-15T12:00:00Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Body

application/json
autoEarnEnabled
boolean

Enable or disable auto-earn for new Accounts.

autoEarnVault
enum<string>

The vault to use for auto-earn. Required when enabling auto-earn.

Available options:
aave_usdc,
morpho_usdc,
sky_usds
defaultChain
enum<string>

Set the default chain for new Accounts.

Available options:
ethereum,
base,
arbitrum,
optimism,
polygon
webhookUrl
string | null

URL to receive webhook notifications. Set to null to disable.

Response

Updated platform settings.

autoEarnEnabled
boolean

When enabled, new Accounts are automatically configured to earn yield on idle balances.

Example:

true

autoEarnVault
enum<string> | null

The vault used for auto-earn. When auto-earn is enabled, idle balances in new Accounts are deposited into this vault.

Available options:
aave_usdc,
morpho_usdc,
sky_usds
Example:

"aave_usdc"

defaultChain
string

The default chain used when creating new Accounts.

Example:

"base"

webhookUrl
string | null

URL to receive webhook notifications for events on your Platform.

Example:

"https://yourapp.com/webhooks/otim"

updatedAt
string<date-time>
Example:

"2025-01-15T12:00:00Z"